OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.Multisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTMultisample :: MonadIO m => m Bool
- gl_EXT_multisample :: Bool
- gl_1PASS_EXT :: GLenum
- gl_2PASS_0_EXT :: GLenum
- gl_2PASS_1_EXT :: GLenum
- gl_4PASS_0_EXT :: GLenum
- gl_4PASS_1_EXT :: GLenum
- gl_4PASS_2_EXT :: GLenum
- gl_4PASS_3_EXT :: GLenum
- gl_MULTISAMPLE_BIT_EXT :: GLbitfield
- gl_MULTISAMPLE_EXT :: GLenum
- gl_SAMPLES_EXT :: GLenum
- gl_SAMPLE_ALPHA_TO_MASK_EXT :: GLenum
- gl_SAMPLE_ALPHA_TO_ONE_EXT :: GLenum
- gl_SAMPLE_BUFFERS_EXT :: GLenum
- gl_SAMPLE_MASK_EXT :: GLenum
- gl_SAMPLE_MASK_INVERT_EXT :: GLenum
- gl_SAMPLE_MASK_VALUE_EXT :: GLenum
- gl_SAMPLE_PATTERN_EXT :: GLenum
- glSampleMaskEXT :: MonadIO m => GLclampf -> GLboolean -> m ()
- glSamplePatternEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTMultisample :: MonadIO m => m Bool

Is the EXT_multisample extension supported?

gl_EXT_multisample :: Bool

Is the EXT_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTMultisample` in those cases instead.

# Enums

gl_1PASS_EXT :: GLenum

gl_2PASS_0_EXT :: GLenum

gl_2PASS_1_EXT :: GLenum

gl_4PASS_0_EXT :: GLenum

gl_4PASS_1_EXT :: GLenum

gl_4PASS_2_EXT :: GLenum

gl_4PASS_3_EXT :: GLenum

gl_MULTISAMPLE_BIT_EXT :: GLbitfield

gl_MULTISAMPLE_EXT :: GLenum

gl_SAMPLES_EXT :: GLenum

gl_SAMPLE_ALPHA_TO_MASK_EXT :: GLenum

gl_SAMPLE_ALPHA_TO_ONE_EXT :: GLenum

gl_SAMPLE_BUFFERS_EXT :: GLenum

gl_SAMPLE_MASK_EXT :: GLenum

gl_SAMPLE_MASK_INVERT_EXT :: GLenum

gl_SAMPLE_MASK_VALUE_EXT :: GLenum

gl_SAMPLE_PATTERN_EXT :: GLenum

# Functions

glSampleMaskEXT

Arguments

:: MonadIO m |
=> GLclampf | `value` of type `ClampedFloat32`.
-> GLboolean | `invert` of type Boolean.
-> m () |

glSamplePatternEXT

Arguments

:: MonadIO m |
=> GLenum | `pattern` of type `SamplePatternEXT`.
-> m () |